#if !defined(AFX_TEXTUREPROPERTYVIEW_H__E59E3D52_54D9_491D_BEEE_96EA5D74061B__INCLUDED_)
#define AFX_TEXTUREPROPERTYVIEW_H__E59E3D52_54D9_491D_BEEE_96EA5D74061B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TexturePropertyView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTexturePropertyView view

class CTexturePropertyView : public CView
{
protected:
	CTexturePropertyView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CTexturePropertyView)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTexturePropertyView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CTexturePropertyView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	CPropertySheet m_wndPropertySheet;
	//{{AFX_MSG(CTexturePropertyView)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TEXTUREPROPERTYVIEW_H__E59E3D52_54D9_491D_BEEE_96EA5D74061B__INCLUDED_)
